[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ColorBox' (#lcl)

# TCustomColorBox.Colors

Provides indexed access to the TColor value for items in the control.

## Declaration

Source position: colorbox.pas line 86

`public property TCustomColorBox.Colors[Index: Integer] : TColor read GetColor;`

## Description

Colors is an indexed read-only TColor property which provides access to the colors in the control by their ordinal position in the list of Items.

Use ColorNames to access the name for a color at a specific position in the list.

Use Style to determine the colors and names available in the combo-box control.

## See also

TCustomColorBox.ColorNames |  | Provides indexed access to the names for the Colors used in the control
TCustomColorBox.Style |  | Settings which determine the colors available in the control and their display style.